downloads <- c(6671034, 7326266, 1221041, 14386809, 427062619,	17959640, 18811435)

names(downloads) <- c("Firebird", "Celestia", "HSQLDB", "JBoss.org", "Azureus", "NASA World Wind", "phpBB")

lang <- c("C++", "C++", "Java", "Java", "Java", "C#", "PHP")

langf <- factor(lang)

levels(langf)
unclass(langf)
tapply(downloads, langf, max)
plot(langf)

topicf <- factor(
	c(2, 3, 2, 5, 1, 3, 1),
	levels=1:5
)

topicf

levels(topicf) <- c(
	"Communications",
	"Database",
	"Education",
	"Multimedia",
	"Software Development"
)

topicf

t <- table(langf, topicf)

t
plot(t,
	main="SourceForge.net Projects",
	sub="Source: http://sourceforge.net/",
	las=2,
	color=TRUE
)
